#! /bin/sh
# Nice little install script.  Thanks to mmu_man for the "$(dirname "$0")" tip.
# Dane at LeBUZZ.com inspired me to make this script after he tried to drag/drop the
# lib folder to /boot/beos/system and nuked his lib folder (oops).
# - Zaranthos

cd "$(dirname "$0")"

	if [ -d "./backup" ]
	then
		alert --stop "Backup folder found, install aborted!"
	else
		mkdir backup
		cp /boot/beos/system/Tracker ./backup
		cp /boot/beos/system/Deskbar ./backup
		cp /boot/beos/system/lib/libtracker.so ./backup
		cp ./Tracker /boot/beos/system/
		cp ./Deskbar /boot/beos/system/
		cp ./lib/libtracker.so /boot/beos/system/lib/
		alert "Install completed. Restart Tracker and Deskbar or reboot for the changes to take effect."
	fi
